package net.rmi.rjs.fc;

import futils.Futil;
import gui.run.RunJob;
import j2d.ImageUtils;

import java.io.File;
import java.io.IOException;
import java.util.Vector;

/**
 * Copyright 2005, DocJava, Inc.
 * User: dlyon
 * Date: Nov 22, 2005
 * Time: 1:38:27 PM
 */
public class MonitorImageDirectory {
    public static void main(String[] args) {
        startJob();
    }

    public static void startJob() {
        File f = Futil.getReadFile("select an image in the directory");
        final File fd = f.getParentFile();
        new ImageMonitorJob(fd);
    }

    private static class ImageMonitorJob extends RunJob {
        Vector v;
        private final File fd;

        public ImageMonitorJob(File fd) {
            super(5);
            this.fd = fd;
            v = new Vector();
        }

        public void run() {
            File fl[] = fd.listFiles(new FractalsFileNameFilter());
            try {
                displayAndAddFiles(fl);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        private void displayAndAddFiles(File[] fl) throws IOException {
            for (int i = 0; i < fl.length; i++) {
                displayAndAdd(fl[i]);
            }
        }

        private void displayAndAdd(File file) throws IOException {
            if (v.contains(file)) return;
            ImageUtils.displayImage(ImageUtils.getPpmJar(file), "file:" + file);
            v.addElement(file);
        }
    }
}
